Bug 128159 - CAN-2004-0557 buffer overflows in sox
Summary: CAN-2004-0557 buffer overflows in sox
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: sox (Show other bugs)
(Show other bugs)
Version: 2
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Bill Nottingham
QA Contact:
URL:
Whiteboard:
Keywords: Security
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-07-19 14:26 UTC by Josh Bressers
Modified: 2014-03-17 02:46 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-07-29 08:33:53 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Josh Bressers 2004-07-19 14:26:25 UTC
Hello,

I have found two buffer overflows in SoX. They occur when the sox
or play commands handle malicious .WAV files.

Versions 12.17.4, 12.17.3 and 12.17.2 are vulnerable to these
overflows. 12.17.1, 12.17 and 12.16 are some versions that are not.

SoX may not be the most security critical program, but it is possible
to exploit this. Some attack vectors are social engineering (I have
used play to play .WAV files from untrusted sources several times
before I found this), programs that use SoX to play data from the net
(examples include JiveAudio and vmail), and people who put play in
their mailcap files (so it plays sound files in MIME messages as
soon as the messages are opened). It is also interesting to note
that xmms can play .WAV files with this type of data just fine.

...

// Ulf Harnhammar
   Debian Security Audit Project
   http://www.debian.org/security/audit/

RHEL is handled by bug 128158

The RHEL entry contains POC wav and the patch.

Comment 1 Mark J. Cox 2004-07-28 16:18:59 UTC
public, removing embargo


Note You need to log in before you can comment on or make changes to this bug.